内容字号:默认大号超大号

段落设置:段首缩进取消段首缩进

字体设置:切换到微软雅黑切换到宋体

亚马逊云_毕节网站建设_返利

2021-07-09 23:24 出处:欧普曼云计算 人气: 评论(0

Kyma是在Kyma上发现的一个伟大的开源项目-项目.io.

这意味着作为业务应用程序开发人员、系统管理员、支持人员,…我们可以利用Kyma运行时作为将应用程序扩展连接到现有体系结构中的一种很好的方法。最重要的是它允许我们,如果适用的话,扩展具有无服务器功能和微服务的传统系统

Kyma架构–https://kyma-project.io/assets/docs/1.13/kyma/docs/assets/ac-s-sc.svg

当然,我想尝试一下这项技术,因为我在探索模式,在K8S环境下尝试各种各样的东西。

首先,对于所有的Windows和Linux用户,我真的很抱歉,但是这个指南只是针对macOS用户的,因为这是我作为开发机器使用的。但你可以在安装网页或Youtube上找到很棒的安装指南。

有了它,我们来谈谈硬件吧!为了正确运行Kyma安装程序,您应该首先检查硬件要求https://kyma project.io/docs/#安装-安装。

我的MacBook有以下规格:

Apple MacBook Pro 13英寸macOS Catalina版本10.15.5处理器:2.3 GHz四核Intel Core i7内存:32 GB 3733 MHz LPDDR4

为了在Kubernetes集群内本地运行Kyma,您必须确保所有需要的组件都安装了正确的版本。我的前两次尝试,我得到了很多奇怪的错误信息,我无法理解,因为错误的版本。Kyma对Minikube、Kubernetes CLI的版本以及它想要的Helm版本(可能对此不确定)非常特别。

如果我们遵循安装指南,Kyma V1.14(最新版本)会注意到以下版本:

Minikube 1.6.2Kubernetes CLI 1.16.3

此外,我们需要安装docker和Kyma CLI。对于docker没有指定版本,对于Kyma CLI,我们要确保,如果您使用的是Homebrew,它安装的是正确的1.14版本。在Mac上,您还需要安装Hyperkit驱动程序,用于运行Minikube K8S群集的虚拟化。

因此,让我们开始:

使用Homebrew安装特定公式版本的一种方法是查找版本提交的提交id。

最好的方法是您转到官方的Homebrew core Github页面并克隆你自己那漂亮的存储库

原因是,您希望在提交历史记录中查找所需的版本,然后GitHub.com网站不支持显示大提交历史。

在github.com网站您希望在该存储库中搜索所需公式的web界面。

结果将引导您找到表示所需公式的ruby文件。在那里,淘客单,你可以点击history按钮,可能会得到一条消息,它会告诉你执行以下命令来获取完整的历史:

你只需在本地的自制核心git存储库中执行,你就可以浏览提交历史。

这样就可以安装所需的组件,使用Hyperkit驱动程序

安装Minikube版本1.6.2。不用担心,如果你安装了更新的版本,建站快速,你可以在它旁边安装旧版本,然后切换到你需要的任何版本。

我们将使用指向1.6.2版本的提交id。在终端中执行以下命令:

您可以尝试不使用force参数(-f)的命令,人工智能有哪些领域,但对我来说,它实际上不起作用。

验证您的安装:

输出应显示版本1.6.2。有时它会在安装过程中自动更新。在这种情况下,请执行以下操作并重试:

这将取消软件包的链接,您可以使用上述命令安装其他版本。请稍后验证是否安装了正确的版本。

使用我列出的命令以获得更好的概述。

要与群集API交互,我们使用kubernetes cli。同样,云服务器价位,您可能安装了一个较新的版本,因为所需的版本已被否决,但不要担心您知道该怎么做。

检查kubernetes cli安装版本:

要执行Kyma命令以与Kyma API交互,我们需要安装Kyma cli。在我的情况下,我将使用最新的Kyma版本(本博客发布之日)1.14.0,所以最新的Kyma CLI是我们想要的。

我尝试执行

什么导致安装了最新版本的1.12,而不是我们想要的版本。确保安装了正确的版本。

如果没有安装正确的版本,请继续卸载当前安装的版本:

然后直接从URL安装:

Kyma使用Helm作为Kubernetes软件包管理器,因此我们可以在下一步安装:

不要忘了再次检查版本,我们可以使用版本3。

最后,通过自制安装hyperkit:

我们已经安装了所有的东西,开始在Minikube上安装Kyma。

安装了正确的版本,就不会出错,我希望…事实上,在我把MacBooks换成一个没有安装任何开发软件的Mac之前,启动并运行一个实例是相当痛苦的。

希望它能像一个魔咒一样对你有用。

我们基本上做的是,我们通过Kyma cli向Minikube提供Kyma K8S配置。

这可能需要一段时间,但当它成功时,淘客公众号,您将看到这条非常友好的消息。

有时启动失败,它会向您打印失败的命令。首先验证集群创建是否成功。我怀疑您有时会在CLI中收到错误消息,即使该步骤确实有效。所以只要执行:

这应该意味着我们使用Kyma提供的配置启动并运行集群。

在集群上安装Kyma环境:

在安装过程中,我遇到了一些问题,这些问题解决了代理问题、VPN配置不满意以及其他有趣的事情。如果您遇到问题,请咨询kyma-社区.slack.com频道。

如果安装并启动了Kyma,您可以向集群询问其运行的pods,您应该看到Kyma正在pods列表中运行。

太好了,我们现在已经在本地安装了Kyma运行时。您可以通过此链接打开Kyma控制台UIhttps://console.kyma.local/home现在。您的登录凭证将显示在您的CLI中。

今天我们将此作为我们的成就,下次我们将研究在Kyma运行时上部署DB并通过API公开它。

总结一下我们所做的工作:

分享给小伙伴们:
本文标签: 亚马逊毕节网站建设返利

相关文章

评论

发表评论愿您的每句评论,都能给大家的生活添色彩,带来共鸣,带来思索,带来快乐。

签名: 验证码: 点击我更换图片

评论列表